To downgrade all packages to stable, edit /etc/apt/preferences as follows:

    Package: *
    Pin: release a=stable
    Pin-Priority: 1001



and run "apt-get upgrade", which forces downgrade due to Pin-priority > 1000. Be warned, there may be some small glitches in dependencies.

http://linux.derkeiler.com/Mailing-Lists/Debian/2004-01/1865.html